#ifndef _JOYSTICK
#define _JOYSTICK
#include "other.h"

// Definition fr level_zero Mglichkeiten
#define LEVEL_ZERO_STATUS			0
#define LEVEL_ZERO_MEASUREVALUES	1
#define LEVEL_ZERO_TIME				2
#define LEVEL_ZERO_CREDITS			3

// Definitionen fr level_one Mglichkeiten
#define LEVEL_ONE_TIME_SECONDS		0
#define LEVEL_ONE_TIME_MINUTES		1
#define LEVEL_ONE_TIME_HOURS		2
#define LEVEL_ONE_TIME_DATE			3
#define LEVEL_ONE_TIME_MONTH		4
#define LEVEL_ONE_TIME_YEAR			5
#define LEVEL_ONE_VERSION_NR		0
#define LEVEL_ONE_NAME_1			1
#define LEVEL_ONE_NAME_2			2
#define LEVEL_ONE_NAME_3			3

// Sonstiges
#define NO_LINE_TWO		0xFF	// 0xFF gibt an, dass diese Zeile leer bleibt

// Definitionen der maximalen Anzeigen im Men
#define DISPLAY_LEVEL_ZERO_MAX		3
#define DISPLAY_TIME_MAX			5
#define DISPLAY_CREDITS_MAX 		3

// Definitionen fr Joystick rechts/links bzw. Oben/unten
#define JOYSTICK_IS_RIGHT			0x3E0L		// Grer diesem Wert => rechts
#define JOYSTICK_IS_LEFT			0x030L		// Kleiner diesem Wert => links
#define JOYSTICK_IS_UP				0x000L		// Standartwert, kleiner diesem Wert => Rauf
#define JOYSTICK_IS_DOWN			0x3E0L		// Standartwert, Grer diesem Wert => Runter

uint8_t joystick_button_pressed(void);
void joystick_init(void);
uint16_t joystick_adc(uint8_t port);
void joystick_measure(uint8_t measured_length, uint8_t errorcode, struct time t,uint32_t measurement_mask_low, uint32_t measurement_mask_high, uint32_t *measured);
void display_write_text(char *text, uint8_t value, uint8_t basis);
#endif
